Glue Up API
User Collection
Event CollectionSubscription CollectionMembership CollectionFinance Collection
User Collection
Event CollectionSubscription CollectionMembership CollectionFinance Collection
  1. User Collection
  • Create an User
    POST
  • Login an User
    POST
  • Logout an User
    DELETE
  • Retrieve the User Snapshot
    GET
  • Keep User logged in between website and Glue Up
    GET
  1. User Collection

Create an User

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/user
Create a new user and return a User Model. An error will be returned if a user with the same email already exists. If successful, you will receive the session token associated to this user in response.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
User created successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/user' \
--header 'a;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "givenName": "Test",
    "familyName": "User",
    "email": {
        "value": "test.user@glueup.com"
    },
    "passphrase": {
        "value": "22d5ee6ad0a2f92f4c71c5006203adb6"
    },
    "language": {
        "code": "en"
    },
    "isOrgOptin": true
}'
Response Response Example
{
    "id": 47876,
    "token": "zEp2XE5JnsmbeZe7OAcLnjoUah8EduIBkJG8p_cu5ypWlBGlER28PVZ1LTndrCAR3KwoO7FT8WnsFHKDHv4BZWs3ysGHa0whoUEtIbPjU1Qh6jHNbHusDrv5e_9Wk7PI",
    "expiry": 1564358400000,
    "userId": 45004,
    "organizationId": 2040,
    "brokerId": "springfield_demo"
}
Modified at 2026-06-11 06:40:13
Next
Login an User
Built with